Gentoo Archives: gentoo-commits

From: "Matthias Schwarzott (zzam)" <zzam@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-fs/udev: ChangeLog udev-151-r3.ebuild
Date: Sun, 02 May 2010 17:40:28
Message-Id: 20100502174012.A29082C24D@corvid.gentoo.org
1 zzam 10/05/02 17:40:12
2
3 Modified: ChangeLog
4 Added: udev-151-r3.ebuild
5 Log:
6 Disable devfs-compat and old-hd-rules use flags by default they will be removed on next udev update.
7 (Portage version: 2.1.8.3/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.537 sys-fs/udev/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-fs/udev/ChangeLog?rev=1.537&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-fs/udev/ChangeLog?rev=1.537&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-fs/udev/ChangeLog?r1=1.536&r2=1.537
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v
19 retrieving revision 1.536
20 retrieving revision 1.537
21 diff -u -r1.536 -r1.537
22 --- ChangeLog 20 Apr 2010 02:53:14 -0000 1.536
23 +++ ChangeLog 2 May 2010 17:40:12 -0000 1.537
24 @@ -1,6 +1,12 @@
25 # ChangeLog for sys-fs/udev
26 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.536 2010/04/20 02:53:14 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.537 2010/05/02 17:40:12 zzam Exp $
29 +
30 +*udev-151-r3 (02 May 2010)
31 +
32 + 02 May 2010; Matthias Schwarzott <zzam@g.o> +udev-151-r3.ebuild:
33 + Disable devfs-compat and old-hd-rules use flags by default they will be
34 + removed on next udev update.
35
36 *udev-146-r3 (20 Apr 2010)
37
38
39
40
41 1.1 sys-fs/udev/udev-151-r3.ebuild
42
43 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-fs/udev/udev-151-r3.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/sys-fs/udev/udev-151-r3.ebuild?rev=1.1&content-type=text/plain
45
46 Index: udev-151-r3.ebuild
47 ===================================================================
48 # Copyright 1999-2010 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/udev-151-r3.ebuild,v 1.1 2010/05/02 17:40:12 zzam Exp $
51
52 EAPI="1"
53
54 inherit eutils flag-o-matic multilib toolchain-funcs linux-info
55
56 #PATCHSET=${P}-gentoo-patchset-v1
57
58 if [[ ${PV} == "9999" ]]; then
59 EGIT_REPO_URI="git://git.kernel.org/pub/scm/linux/hotplug/udev.git"
60 EGIT_BRANCH="master"
61 inherit git autotools
62 else
63 # please update testsys-tarball whenever udev-xxx/test/sys/ is changed
64 SRC_URI="mirror://kernel/linux/utils/kernel/hotplug/${P}.tar.bz2
65 test? ( mirror://gentoo/${PN}-151-testsys.tar.bz2 )"
66 [[ -n "${PATCHSET}" ]] && SRC_URI="${SRC_URI} mirror://gentoo/${PATCHSET}.tar.bz2"
67 fi
68 DESCRIPTION="Linux dynamic and persistent device naming support (aka userspace devfs)"
69 HOMEPAGE="http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
70
71 LICENSE="GPL-2"
72 SLOT="0"
73 KEYWORDS="-alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 -sh ~sparc ~x86"
74 IUSE="selinux devfs-compat old-hd-rules -extras test"
75
76 COMMON_DEPEND="selinux? ( sys-libs/libselinux )
77 extras? (
78 sys-apps/acl
79 >=sys-apps/usbutils-0.82
80 virtual/libusb:0
81 sys-apps/pciutils
82 dev-libs/glib:2
83 )
84 >=sys-apps/util-linux-2.16
85 >=sys-libs/glibc-2.9"
86
87 DEPEND="${COMMON_DEPEND}
88 extras? ( dev-util/gperf )
89 >=sys-kernel/linux-headers-2.6.29
90 test? ( app-text/tree )"
91
92 RDEPEND="${COMMON_DEPEND}
93 !sys-apps/coldplug
94 !<sys-fs/lvm2-2.02.45
95 !sys-fs/device-mapper
96 >=sys-apps/baselayout-1.12.5"
97
98 if [[ ${PV} == "9999" ]]; then
99 # for documentation processing with xsltproc
100 DEPEND="${DEPEND}
101 app-text/docbook-xsl-stylesheets
102 app-text/docbook-xml-dtd
103 dev-util/gtk-doc"
104 fi
105
106 # required kernel options
107 CONFIG_CHECK="~INOTIFY_USER ~SIGNALFD ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
108 ~!IDE"
109
110 # We need the lib/rcscripts/addon support
111 PROVIDE="virtual/dev-manager"
112
113 udev_check_KV() {
114 local ok=0
115 if [[ ${KV_MAJOR} == 2 && ${KV_MINOR} == 6 ]]
116 then
117 if kernel_is -ge 2 6 ${KV_PATCH_reliable} ; then
118 ok=2
119 elif kernel_is -ge 2 6 ${KV_PATCH_min} ; then
120 ok=1
121 fi
122 fi
123 return $ok
124 }
125
126 pkg_setup() {
127 linux-info_pkg_setup
128
129 udev_libexec_dir="/$(get_libdir)/udev"
130
131 # udev requires signalfd introduced in kernel 2.6.25,
132 # but a glibc compiled against >=linux-headers-2.6.27 uses the
133 # new signalfd syscall introduced in kernel 2.6.27 without falling back
134 # to the old one. So we just depend on 2.6.27 here, see Bug #281312.
135 KV_PATCH_min=25
136 KV_PATCH_reliable=27
137 KV_min=2.6.${KV_PATCH_min}
138 KV_reliable=2.6.${KV_PATCH_reliable}
139
140 # always print kernel version requirements
141 ewarn
142 ewarn "${P} does not support Linux kernel before version ${KV_min}!"
143 if [[ ${KV_PATCH_min} != ${KV_PATCH_reliable} ]]; then
144 ewarn "For a reliable udev, use at least kernel ${KV_reliable}"
145 fi
146
147 echo
148 # We don't care about the secondary revision of the kernel.
149 # 2.6.30.4 -> 2.6.30 is all we check
150 udev_check_KV
151 case "$?" in
152 2) einfo "Your kernel version (${KV_FULL}) is new enough to run ${P} reliably." ;;
153 1) ewarn "Your kernel version (${KV_FULL}) is new enough to run ${P},"
154 ewarn "but it may be unreliable in some cases."
155 ebeep ;;
156 0) eerror "Your kernel version (${KV_FULL}) is too old to run ${P}"
157 ebeep ;;
158 esac
159 echo
160
161 KV_FULL_SRC=${KV_FULL}
162 get_running_version
163 udev_check_KV
164 if [[ "$?" = "0" ]]; then
165 eerror
166 eerror "udev cannot be restarted after emerging,"
167 eerror "as your running kernel version (${KV_FULL}) is too old."
168 eerror "You really need to use a newer kernel after a reboot!"
169 NO_RESTART=1
170 ebeep
171 fi
172 }
173
174 sed_libexec_dir() {
175 sed -e "s#/lib/udev#${udev_libexec_dir}#" -i "$@"
176 }
177
178 src_unpack() {
179 if [[ ${PV} == "9999" ]] ; then
180 git_src_unpack
181 else
182 unpack ${A}
183
184 if use test; then
185 mv "${WORKDIR}"/test/sys "${S}"/test/
186 fi
187 fi
188
189 cd "${S}"
190
191 # patches go here...
192
193 # backport some patches
194 if [[ -n "${PATCHSET}" ]]; then
195 EPATCH_SOURCE="${WORKDIR}/${PATCHSET}" EPATCH_SUFFIX="patch" \
196 EPATCH_FORCE="yes" epatch
197 fi
198
199 # Bug 301667
200 epatch "${FILESDIR}"/udev-150-fix-missing-firmware-timeout.diff
201
202 if ! use devfs-compat; then
203 # see Bug #269359
204 epatch "${FILESDIR}"/udev-141-remove-devfs-names.diff
205 fi
206
207 # change rules back to group uucp instead of dialout for now
208 sed -e 's/GROUP="dialout"/GROUP="uucp"/' \
209 -i rules/{rules.d,packages,gentoo}/*.rules \
210 || die "failed to change group dialout to uucp"
211
212 if [[ ${PV} != 9999 ]]; then
213 # Make sure there is no sudden changes to upstream rules file
214 # (more for my own needs than anything else ...)
215 MD5=$(md5sum < "${S}/rules/rules.d/50-udev-default.rules")
216 MD5=${MD5/ -/}
217 if [[ ${MD5} != 5685cc3878df54845dda5e08d712447a ]]
218 then
219 echo
220 eerror "50-udev-default.rules has been updated, please validate!"
221 eerror "md5sum: ${MD5}"
222 die "50-udev-default.rules has been updated, please validate!"
223 fi
224 fi
225
226 if use old-hd-rules; then
227 epatch "${FILESDIR}"/udev-151-readd-hd-rules.diff
228 fi
229
230 sed_libexec_dir \
231 rules/rules.d/50-udev-default.rules \
232 rules/rules.d/78-sound-card.rules \
233 extras/rule_generator/write_*_rules \
234 || die "sed failed"
235
236 if [[ ${PV} == 9999 ]]; then
237 gtkdocize --copy
238 eautoreconf
239 fi
240 }
241
242 src_compile() {
243 filter-flags -fprefetch-loop-arrays
244
245 econf \
246 --prefix=/usr \
247 --sysconfdir=/etc \
248 --sbindir=/sbin \
249 --libdir=/usr/$(get_libdir) \
250 --with-rootlibdir=/$(get_libdir) \
251 --libexecdir="${udev_libexec_dir}" \
252 --enable-logging \
253 --enable-static \
254 $(use_with selinux) \
255 $(use_enable extras) \
256 --disable-introspection
257 # we don't have gobject-introspection in portage tree
258
259 emake || die "compiling udev failed"
260 }
261
262 src_install() {
263 local scriptdir="${FILESDIR}/151"
264
265 into /
266 emake DESTDIR="${D}" install || die "make install failed"
267
268 exeinto "${udev_libexec_dir}"
269 newexe "${FILESDIR}"/net-130-r1.sh net.sh || die "net.sh not installed properly"
270 newexe "${FILESDIR}"/move_tmp_persistent_rules-112-r1.sh move_tmp_persistent_rules.sh \
271 || die "move_tmp_persistent_rules.sh not installed properly"
272 newexe "${FILESDIR}"/write_root_link_rule-125 write_root_link_rule \
273 || die "write_root_link_rule not installed properly"
274
275 doexe "${scriptdir}"/shell-compat-KV.sh \
276 || die "shell-compat.sh not installed properly"
277 doexe "${scriptdir}"/shell-compat-addon.sh \
278 || die "shell-compat.sh not installed properly"
279
280 keepdir "${udev_libexec_dir}"/state
281 keepdir "${udev_libexec_dir}"/devices
282
283 # create symlinks for these utilities to /sbin
284 # where multipath-tools expect them to be (Bug #168588)
285 dosym "..${udev_libexec_dir}/scsi_id" /sbin/scsi_id
286
287 # Add gentoo stuff to udev.conf
288 echo "# If you need to change mount-options, do it in /etc/fstab" \
289 >> "${D}"/etc/udev/udev.conf
290
291 # let the dir exist at least
292 keepdir /etc/udev/rules.d
293
294 # Now installing rules
295 cd "${S}"/rules
296 insinto "${udev_libexec_dir}"/rules.d/
297
298 # Our rules files
299 doins gentoo/??-*.rules
300 doins packages/40-isdn.rules
301
302 # Adding arch specific rules
303 if [[ -f packages/40-${ARCH}.rules ]]
304 then
305 doins "packages/40-${ARCH}.rules"
306 fi
307 cd "${S}"
308
309 # our udev hooks into the rc system
310 insinto /$(get_libdir)/rcscripts/addons
311 doins "${scriptdir}"/udev-start.sh \
312 || die "udev-start.sh not installed properly"
313 doins "${scriptdir}"/udev-stop.sh \
314 || die "udev-stop.sh not installed properly"
315
316 local init
317 # udev-postmount and init-scripts for >=openrc-0.3.1, Bug #240984
318 for init in udev udev-mount udev-dev-tarball udev-postmount; do
319 newinitd "${scriptdir}/${init}.initd" "${init}" \
320 || die "initscript ${init} not installed properly"
321 done
322
323 # insert minimum kernel versions
324 sed -e "s/%KV_MIN%/${KV_min}/" \
325 -e "s/%KV_MIN_RELIABLE%/${KV_reliable}/" \
326 -i "${D}"/etc/init.d/udev-mount
327
328 # config file for init-script and start-addon
329 newconfd "${scriptdir}/udev.confd" udev \
330 || die "config file not installed properly"
331
332 insinto /etc/modprobe.d
333 newins "${FILESDIR}"/blacklist-146 blacklist.conf
334 newins "${FILESDIR}"/pnp-aliases pnp-aliases.conf
335
336 # convert /lib/udev to real used dir
337 sed_libexec_dir \
338 "${D}/$(get_libdir)"/rcscripts/addons/*.sh \
339 "${D}/${udev_libexec_dir}"/write_root_link_rule \
340 "${D}"/etc/conf.d/udev \
341 "${D}"/etc/init.d/udev* \
342 "${D}"/etc/modprobe.d/*
343
344 # documentation
345 dodoc ChangeLog README TODO || die "failed installing docs"
346
347 # keep doc in just one directory, Bug #281137
348 rm -rf "${D}/usr/share/doc/${PN}"
349 if use extras; then
350 dodoc extras/keymap/README.keymap.txt || die "failed installing docs"
351 fi
352 }
353
354 pkg_preinst() {
355 # moving old files to support newer modprobe, 12 May 2009
356 local f dir=${ROOT}/etc/modprobe.d/
357 for f in pnp-aliases blacklist; do
358 if [[ -f $dir/$f && ! -f $dir/$f.conf ]]
359 then
360 elog "Moving $dir/$f to $f.conf"
361 mv -f "$dir/$f" "$dir/$f.conf"
362 fi
363 done
364
365 if [[ -d ${ROOT}/lib/udev-state ]]
366 then
367 mv -f "${ROOT}"/lib/udev-state/* "${D}"/lib/udev/state/
368 rm -r "${ROOT}"/lib/udev-state
369 fi
370
371 if [[ -f ${ROOT}/etc/udev/udev.config &&
372 ! -f ${ROOT}/etc/udev/udev.rules ]]
373 then
374 mv -f "${ROOT}"/etc/udev/udev.config "${ROOT}"/etc/udev/udev.rules
375 fi
376
377 # delete the old udev.hotplug symlink if it is present
378 if [[ -h ${ROOT}/etc/hotplug.d/default/udev.hotplug ]]
379 then
380 rm -f "${ROOT}"/etc/hotplug.d/default/udev.hotplug
381 fi
382
383 # delete the old wait_for_sysfs.hotplug symlink if it is present
384 if [[ -h ${ROOT}/etc/hotplug.d/default/05-wait_for_sysfs.hotplug ]]
385 then
386 rm -f "${ROOT}"/etc/hotplug.d/default/05-wait_for_sysfs.hotplug
387 fi
388
389 # delete the old wait_for_sysfs.hotplug symlink if it is present
390 if [[ -h ${ROOT}/etc/hotplug.d/default/10-udev.hotplug ]]
391 then
392 rm -f "${ROOT}"/etc/hotplug.d/default/10-udev.hotplug
393 fi
394
395 has_version "=${CATEGORY}/${PN}-103-r3"
396 previous_equal_to_103_r3=$?
397
398 has_version "<${CATEGORY}/${PN}-104-r5"
399 previous_less_than_104_r5=$?
400
401 has_version "<${CATEGORY}/${PN}-106-r5"
402 previous_less_than_106_r5=$?
403
404 has_version "<${CATEGORY}/${PN}-113"
405 previous_less_than_113=$?
406 }
407
408 # 19 Nov 2008
409 fix_old_persistent_net_rules() {
410 local rules=${ROOT}/etc/udev/rules.d/70-persistent-net.rules
411 [[ -f ${rules} ]] || return
412
413 elog
414 elog "Updating persistent-net rules file"
415
416 # Change ATTRS to ATTR matches, Bug #246927
417 sed -i -e 's/ATTRS{/ATTR{/g' "${rules}"
418
419 # Add KERNEL matches if missing, Bug #246849
420 sed -ri \
421 -e '/KERNEL/ ! { s/NAME="(eth|wlan|ath)([0-9]+)"/KERNEL=="\1*", NAME="\1\2"/}' \
422 "${rules}"
423 }
424
425 # See Bug #129204 for a discussion about restarting udevd
426 restart_udevd() {
427 if [[ ${NO_RESTART} = "1" ]]; then
428 ewarn "Not restarting udevd, as your kernel is too old!"
429 return
430 fi
431
432 # need to merge to our system
433 [[ ${ROOT} = / ]] || return
434
435 # check if root of init-process is identical to ours (not in chroot)
436 [[ -r /proc/1/root && /proc/1/root/ -ef /proc/self/root/ ]] || return
437
438 # abort if there is no udevd running
439 [[ -n $(pidof udevd) ]] || return
440
441 # abort if no /dev/.udev exists
442 [[ -e /dev/.udev ]] || return
443
444 elog
445 elog "restarting udevd now."
446
447 killall -15 udevd &>/dev/null
448 sleep 1
449 killall -9 udevd &>/dev/null
450
451 /sbin/udevd --daemon
452 sleep 3
453 if [[ ! -n $(pidof udevd) ]]; then
454 eerror "FATAL: udev died, please check your kernel is"
455 eerror "new enough and configured correctly for ${P}."
456 eerror
457 eerror "Please have a look at this before rebooting."
458 eerror "If in doubt, please downgrade udev back to your old version"
459 ebeep
460 fi
461 }
462
463 postinst_init_scripts() {
464 # FIXME: we may need some code that detects if this is a system bootstrap
465 # and auto-enables udev then
466 #
467 # FIXME: inconsistent handling of init-scripts here
468 # * udev is added to sysinit in openrc-ebuild
469 # * we add udev-postmount to default in here
470 #
471
472 # migration to >=openrc-0.4
473 if [[ -e "${ROOT}"/etc/runlevels/sysinit && ! -e "${ROOT}"/etc/runlevels/sysinit/udev ]]
474 then
475 ewarn
476 ewarn "You need to add the udev init script to the runlevel sysinit,"
477 ewarn "else your system will not be able to boot"
478 ewarn "after updating to >=openrc-0.4.0"
479 ewarn "Run this to enable udev for >=openrc-0.4.0:"
480 ewarn "\trc-update add udev sysinit"
481 ewarn
482 fi
483
484 # add udev-postmount to default runlevel instead of that ugly injecting
485 # like a hotplug event, 2009/10/15
486
487 # already enabled?
488 [[ -e "${ROOT}"/etc/runlevels/default/udev-postmount ]] && return
489
490 local enable_postmount=0
491 [[ -e "${ROOT}"/etc/runlevels/sysinit/udev ]] && enable_postmount=1
492 [[ "${ROOT}" = "/" && -d /dev/.udev/ ]] && enable_postmount=1
493
494 if [[ ${enable_postmount} = 1 ]]
495 then
496 local initd=udev-postmount
497
498 if [[ -e ${ROOT}/etc/init.d/${initd} ]] && \
499 [[ ! -e ${ROOT}/etc/runlevels/default/${initd} ]]
500 then
501 ln -snf /etc/init.d/${initd} "${ROOT}"/etc/runlevels/default/${initd}
502 elog "Auto-adding '${initd}' service to your default runlevel"
503 fi
504 else
505 elog "You should add the udev-postmount service to default runlevel."
506 elog "Run this to add it:"
507 elog "\trc-update add udev-postmount default"
508 fi
509 }
510
511 pkg_postinst() {
512 fix_old_persistent_net_rules
513
514 restart_udevd
515
516 postinst_init_scripts
517
518 # people want reminders, I'll give them reminders. Odds are they will
519 # just ignore them anyway...
520
521 # delete 40-scsi-hotplug.rules, it is integrated in 50-udev.rules, 19 Jan 2007
522 if [[ $previous_equal_to_103_r3 = 0 ]] &&
523 [[ -e ${ROOT}/etc/udev/rules.d/40-scsi-hotplug.rules ]]
524 then
525 ewarn "Deleting stray 40-scsi-hotplug.rules"
526 ewarn "installed by sys-fs/udev-103-r3"
527 rm -f "${ROOT}"/etc/udev/rules.d/40-scsi-hotplug.rules
528 fi
529
530 # Removing some device-nodes we thought we need some time ago, 25 Jan 2007
531 if [[ -d ${ROOT}/lib/udev/devices ]]
532 then
533 rm -f "${ROOT}"/lib/udev/devices/{null,zero,console,urandom}
534 fi
535
536 # Removing some old file, 29 Jan 2007
537 if [[ $previous_less_than_104_r5 = 0 ]]
538 then
539 rm -f "${ROOT}"/etc/dev.d/net/hotplug.dev
540 rmdir --ignore-fail-on-non-empty "${ROOT}"/etc/dev.d/net 2>/dev/null
541 fi
542
543 # 19 Mar 2007
544 if [[ $previous_less_than_106_r5 = 0 ]] &&
545 [[ -e ${ROOT}/etc/udev/rules.d/95-net.rules ]]
546 then
547 rm -f "${ROOT}"/etc/udev/rules.d/95-net.rules
548 fi
549
550 # Try to remove /etc/dev.d as that is obsolete, 23 Apr 2007
551 if [[ -d ${ROOT}/etc/dev.d ]]
552 then
553 rmdir --ignore-fail-on-non-empty "${ROOT}"/etc/dev.d/default "${ROOT}"/etc/dev.d 2>/dev/null
554 if [[ -d ${ROOT}/etc/dev.d ]]
555 then
556 ewarn "You still have the directory /etc/dev.d on your system."
557 ewarn "This is no longer used by udev and can be removed."
558 fi
559 fi
560
561 # 64-device-mapper.rules now gets installed by sys-fs/device-mapper
562 # remove it if user don't has sys-fs/device-mapper installed, 27 Jun 2007
563 if [[ $previous_less_than_113 = 0 ]] &&
564 [[ -f ${ROOT}/etc/udev/rules.d/64-device-mapper.rules ]] &&
565 ! has_version sys-fs/device-mapper
566 then
567 rm -f "${ROOT}"/etc/udev/rules.d/64-device-mapper.rules
568 einfo "Removed unneeded file 64-device-mapper.rules"
569 fi
570
571 # requested in bug #275974, added 2009/09/05
572 ewarn
573 ewarn "If after the udev update removable devices or CD/DVD drives"
574 ewarn "stop working, try re-emerging HAL before filling a bug report"
575
576 # requested in Bug #225033:
577 elog
578 elog "persistent-net does assigning fixed names to network devices."
579 elog "If you have problems with the persistent-net rules,"
580 elog "just delete the rules file"
581 elog "\trm ${ROOT}etc/udev/rules.d/70-persistent-net.rules"
582 elog "and then reboot."
583 elog
584 elog "This may however number your devices in a different way than they are now."
585
586 ewarn
587 ewarn "If you build an initramfs including udev, then please"
588 ewarn "make sure that the /sbin/udevadm binary gets included,"
589 ewarn "and your scripts changed to use it,as it replaces the"
590 ewarn "old helper apps udevinfo, udevtrigger, ..."
591
592 ewarn
593 ewarn "mount options for directory /dev are no longer"
594 ewarn "set in /etc/udev/udev.conf, but in /etc/fstab"
595 ewarn "as for other directories."
596
597 if use devfs-compat; then
598 ewarn
599 ewarn "devfs-compat use flag is enabled."
600 ewarn "This enables devfs compatible device names."
601 else
602 ewarn
603 ewarn "This version of udev no longer has devfs-compat enabled"
604 fi
605 ewarn "If you use /dev/md/*, /dev/loop/* or /dev/rd/*,"
606 ewarn "then please migrate over to using the device names"
607 ewarn "/dev/md*, /dev/loop* and /dev/ram*."
608 ewarn "The devfs-compat rules will be removed on the next udev update."
609 ewarn "For reference see Bug #269359."
610
611 if use old-hd-rules; then
612 ewarn
613 ewarn "old-hd-rules use flag is enabled"
614 ewarn "This adds the removed rules for /dev/hd* devices"
615 else
616 ewarn
617 ewarn "This version of udev no longer has use flag old-hd-rules enabled"
618 ewarn "So all special rules for /dev/hd* devices are missing"
619 fi
620 ewarn "Please migrate to the new libata if you need these rules."
621 ewarn "They will be completely removed on the next udev update."
622
623 elog
624 elog "For more information on udev on Gentoo, writing udev rules, and"
625 elog " fixing known issues visit:"
626 elog " http://www.gentoo.org/doc/en/udev-guide.xml"
627 }